ru.bitel.bgbilling.kernel.contract.balance.common.bean

## Class ContractAccount

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.balance.common.bean.ContractAccount

-     public class ContractAccount
      extends java.lang.Object

  Bean для наробатки.
  Author:
    ildar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAccount()`
    `ContractAccount(int contractId, java.util.Date date, java.math.BigDecimal sum, int serviceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.Date` | `getDate()`
    `int` | `getServiceId()`
    `java.math.BigDecimal` | `getSum()`
    `void` | `setContractId(int contractId)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setServiceId(int serviceId)`
    `void` | `setSum(java.math.BigDecimal sum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAccount

          public ContractAccount()

    - #### ContractAccount

          public ContractAccount(int contractId,
                                 java.util.Date date,
                                 java.math.BigDecimal sum,
                                 int serviceId)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getServiceId

          public int getServiceId()

    - #### setServiceId

          public void setServiceId(int serviceId)